Bug 975255 - Jenkins: Builds won't start after Jenkins admin password is changed.
Jenkins: Builds won't start after Jenkins admin password is changed.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks: 975539
  Show dependency treegraph
 
Reported: 2013-06-17 19:23 EDT by Nam Duong
Modified: 2015-05-14 19:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 975539 (view as bug list)
Environment:
Last Closed: 2013-06-24 10:56:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2013-06-17 19:23:21 EDT
Description of problem:
See https://www.openshift.com/forums/openshift/jenkins-build-error-401-when-password-changed-using-jenkins-webapp  

When you change the admin password, builds no longer kick off as an error is thrown:  
java.io.IOException: Server returned HTTP response code: 401 for URL: http://127.5.130.1:8080/job/phptest-build/config.xml  
at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1625)

When you change the admin password back to $JENKINS_PASSWORD, builds start to work again.
Comment 1 Meng Bo 2013-06-18 02:18:57 EDT
Checked on devenv_3375, reproduced this issue.

For this problem, jenkins server will trigger the jenkins build with admin user now, which was and should be system_builder.

SSH login to the jenkins server will get the following ENV:
JENKINS_PASSWORD=r5jrAUV4_xU-
JENKINS_USERNAME=admin

After change the admin password, the ENV JENKINS_PASSWORD will not be changed accordingly.

When trigger jenkins build, will get the following info from jenkins log:

Jun 18, 2013 2:02:25 AM hudson.plugins.openshift.OpenShiftCloud reloadConfig
INFO: Retrieving config XML from http://127.0.251.1:8080/job/php1-build/config.xml
Jun 18, 2013 2:02:25 AM hudson.plugins.openshift.OpenShiftCloud createConnection
INFO: Using credentials admin:r5jrAUV4_xU-
Jun 18, 2013 2:02:26 AM hudson.plugins.openshift.OpenShiftCloud reloadConfig
WARNING: Reload GET:
Jun 18, 2013 2:02:26 AM hudson.plugins.openshift.OpenShiftCloud provision
WARNING: Caught java.io.IOException: Server returned HTTP response code: 401 for URL: http://127.0.251.1:8080/job/php1-build/config.xml. Will retry 1 more times before canceling build.


We should use the system_builder which password cannot be changed to trigger jenkins build.
Comment 2 Dan McPherson 2013-06-18 13:08:47 EDT
https://github.com/openshift/origin-server/pull/2882

This will fix existing apps and get rid of the issue for new apps.
Comment 4 Meng Bo 2013-06-19 08:27:17 EDT
Checked on INT(devenv_3382), issue fixed.

Jun 19, 2013 8:25:24 AM hudson.plugins.openshift.OpenShiftCloud reloadConfig
INFO: Reloading configuration for jbossas1s-build...
Jun 19, 2013 8:25:24 AM hudson.plugins.openshift.OpenShiftCloud reloadConfig
INFO: Retrieving config XML from http://127.8.254.1:8080/job/jbossas1s-build/config.xml
Jun 19, 2013 8:25:24 AM hudson.plugins.openshift.OpenShiftCloud createConnection
INFO: Using credentials system_builder:GLFxKx6PXvua


Jenkins will use system_builder to trigger build.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.